ApiObservability
Query tool call logs
Query tool call audit logs with optional filtering by server, user, tool name, status, and full-text search.
Query Parameters
server_id?|
user_id?|
tool_name?|
status?|
source_type?|
Filter by source: server, sandbox
sandbox_id?|
from_time?|
to_time?|
search?|
Full-text search query
limit?integer
Default
100Range
1 <= value <= 1000offset?integer
Default
0Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/observability/logs"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
"server_name": "string",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"user_name": "string",
"tool_name": "string",
"arguments": {},
"response": {},
"status": "string",
"latency_ms": 0,
"error_message": "string",
"request_id": "string",
"source_type": "server",
"source_name": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"limit": 0,
"offset": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}